QGIS Application - Feature request #12430
GetFeaturelnfo with INFO_FORMAT=text/html should only send HTML maptip content when enabled
2015-03-23 04:03 AM - Nicolas Boisteault

Status: Open

Priority: Normal

Assignee: Marco Hugentobler

Category: QGIS Server

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 20601
Description

GetFeaturelnfo requests with INFO_FORMAT=text/html and INFO_FORMAT=text/xml send the same content, only the format is
different.

| think when HTML maptip content is defined, we should only get it in GetFeaturelnfo response without other attributes.

Also the XML GetFeaturelnfo response should not include the maptip?

History

#1 - 2015-03-23 12:23 PM - Jiirgen Fischer
- Tracker changed from Bug report to Feature request

#2 - 2015-05-20 03:08 AM - René-Luc ReLuc

- Target version set to Future Release - Nice to have
- Assignee set to Marco Hugentobler

Any thoughts about this feature ?

#3 - 2016-05-04 02:18 AM - Nicolas Boisteault

I'm migrating an UMN Mapserver WMS to QGIS Server.
UMN Mapserver sends only HTML content while QGIS Server still sends maptip and other attributes.

I think QGIS server response is wrong and that is a bug not a feature.

#4 - 2017-03-23 06:27 AM - Nicolas Boisteault

Could this bug be treated for QGIS 3?

The presence of maptip in XML GetFeaturelnfo response is weird and HTML GetFeaturelnfo response can't be used as it. You need a QGIS Server plugin

to clean it.
Thanks in advance.

#5 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No
